
module ListDuplicateViewsHelper
	unloadable

  def ldv_project_tree_options_for_select(projects,options={})
    s = ''
    project_tree(projects) do |project, level|
      name_prefix="[#{project.archived? ? "*" : "&nbsp;&nbsp;"}] "
      name_prefix += (level > 0 ? ('&nbsp;' * 2 * level + '&#187; ') : '')
      tag_options = {:value => project.id}
      if project == options[:selected] || (options[:selected].respond_to?(:include?) && options[:selected].include?(project))
        tag_options[:selected] = 'selected'
      else
        tag_options[:selected] = nil
      end
      tag_options.merge!(yield(project)) if block_given?
      s << content_tag('option', (name_prefix + h(project) + " [#{h(project.identifier)}]").html_safe, tag_options)
    end
    s.html_safe
  end
end
